#ifndef _MAIN_H_
#define _MAIN_H_ 1

#define FREQ   8

extern volatile unsigned char RUN_ST;
extern volatile unsigned char CAP_ST;
extern volatile unsigned char MODE_ST;
extern volatile unsigned int  CAPTIME;
extern volatile unsigned char CAPCNT;
extern volatile unsigned char GAIN;
extern volatile unsigned char AGAIN;
extern volatile unsigned char BLANK;

extern unsigned char DistanceS[];
extern unsigned char STATUS[];
extern unsigned int  VBAT,VKEY;
extern unsigned char TEMP[2];
extern unsigned char VBATS[];
extern unsigned char TEMPS[];
extern unsigned char KEYS[];
void XP(void);
#define ADCBAT	   		5		//PA5 ADC5
#define ADCKEY	   		6		//PA6 ADC6
#define ADCSIG	   		7		//PA7 ADC7

#define SPI_CLK	  		7		//PB7  LCD2
#define DP_nINC	  		7		//PB7
#define SPI_MOSI		5		//PB5  LCD3
#define DP_UnD			5		//PB5
#define LCD_nCE			4		//PB4  LCD5
#define TX_nOC0	   		3  		//PB3  OC0
#define LCD_nRST		1		//PB1  LCD8
#define LCD_DnC			0		//PB0  LCD4

#define SCL				0  		//PC0 SCL
#define SDA	   		    1  		//PC1 SDA

#define RXD		   		0		//PD0 RXD
#define TXD	   	   		1		//PD1 TXD
#define MES_nINT0  		2 		//PD2 INT0
#define KEY_nINT1  		3  		//PD3 INT1
#define DP_nCS  		4		//PD4
#define RX_nPOWER  		5		//PD5
#define SIG_ICP  		6		//PD6 ICP
#define SP_OUT  		7		//PD7 OC2

#define DS1721_ADDR 	0X90
#define CMD_STARTT 	 	0X51
#define CMD_READT   	0XAA
#define CMD_CONFIG  	0XAC
//#define actTMPCFG		0x0C  //(12bit,1.2S , Active low,con)
#define actTMPCFG		0x05  //(10bit,0.3S , Active low,one)

#define TW_ACK  1
#define TW_NACK 0

#define START   0
#define OK      1
#define OVER    2

#define HIDE    0
#define NOHIDE  1

//ٶȡcйʽʾ
// c=331.5+0.607t (m/s)ʽУt=¶()
//䲨
//331.5m/s
//331.5mm/ms--->166mm/ms0000000000000

#define SPEED_BASE       33150
// div 10000 0.33150mm/us
#define T_Calc           6070
// div 10000 0.607tmm/us

#endif  /* _MAIN_H_ */
